Summary:	GNU fast lexical analyzer generator
Summary(de):	GNU - schneller lexikalischer Analysegenerator 
Summary(fr):	Gnrateur rapide d'analyseur lexical de GNU
Summary(pl):	GNU szybki generator analizatora skadni (flex)
Summary(tr):	GNU szdizim zmleyici
Name:		flex
Version:	2.5.4a
Release:	12
Copyright:	GPL
Group:		Development/Tools
Group(pl):	Programowanie/Narzdzia
Source:		ftp://prep.ai.mit.edu/pub/gnu/flex/%{name}-%{version}.tar.gz
Patch0:		flex-info.patch
Patch1:		flex-skel.patch
Prereq:		/usr/sbin/fix-info-dir
Buildroot:	/tmp/%{name}-%{version}-root

%description
This is the GNU fast lexical analyzer generator. It generates lexical
tokenizing code based on a lexical (regular expression based) description
of the input. It is designed to work with both yacc and bison, and is
used by many programs as part of their build process.

%description -l de
GNU, der schnelle lexikalische Analysengenerator. Er erzeugt lexikalischen 
Token-Code, basierend auf einer lexikalischen Beschreibung (regulre 
Ausdrucksbasis) der Eingabe. Ausgelegt zum Arbeiten mit yacc und bison, 
wird er von vielen Programmen als Teil des Build-Vorgangs verwendet. 

%description -l fr
Gnrateur rapide d'analyseur lexical de GNU. Il gnre du code lexical
sous forme de tokens bas sur une description lexicale (bas sur les
expressions rationnelles) de son entre. Il est conu pour fonctionner
avec yacc et bison, et est utilis par de nombreux programmes comme
faisant partie de leur phase de construction.

%description -l pl
GNU flex suy do tworzenia programu analizy leksykalnej na podstawie
wyrae regularnych i dyrektyw C zawartych w jednym lub wicej plikach
wejciowych. Przeznaczony do wsppracy z parserami yacc i bison, jest
uywany przez wiele programw w procesie kompilacji.

%description -l tr
Bu paket, giri olarak okuduu bilgiyi kendisine dzgn deyimler olarak
belirtilen kurallar erevesinde birimlere bler. yacc ve bison paketleri
ile birlikte alacak ekilde tasarlanmtr. Pek ok programn derlenme
aamasnda kullanlr.

%prep
%setup -q -n %{name}-2.5.4
%patch -p1

%build
autoconf
LDFLAGS="-s"; export LDFLAGS
%configure
make

makeinfo MISC/texinfo/flex.texi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_infodir},%{_includedir},%{_mandir}/man1}

install flex.info* $RPM_BUILD_ROOT%{_infodir}

make install prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT/%{_bindir} \
	mandir=$RPM_BUILD_ROOT/%{_mandir}/man1 \
	libdir=$RPM_BUILD_ROOT/%{_libdir} \
	includedir=$RPM_BUILD_ROOT/%{_includedir} \
	infodir=$RPM_BUILD_ROOT/%{_infodir}

ln -sf flex $RPM_BUILD_ROOT%{_bindir}/lex

gzip -9nf $RPM_BUILD_ROOT{%{_infodir}/*,%{_mandir}/man1/*} \
	NEWS README

%post
/usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
/usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc {NEWS,README}.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/flex*
%{_libdir}/*.a
%{_includedir}/*.h
